com.smartgwt.client.widgets.form.fields

## Class StaticTextItem

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.core.RefDataClass
      - - com.smartgwt.client.widgets.form.fields.FormItem
        - - com.smartgwt.client.widgets.form.fields.StaticTextItem

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers, HasBlurHandlers, HasChangedHandlers, HasChangeHandlers, HasClickHandlers, HasDoubleClickHandlers, HasEditorEnterHandlers, HasEditorExitHandlers, HasFocusHandlers, HasIconClickHandlers, HasIconKeyPressHandlers, HasItemHoverHandlers, HasKeyDownHandlers, HasKeyPressHandlers, HasKeyUpHandlers, HasPickerIconClickHandlers, HasTitleClickHandlers, HasTitleDoubleClickHandlers, HasTitleHoverHandlers, HasValueHoverHandlers
  Direct Known Subclasses:
    LinkItem, MiniDateRangeItem

      public class StaticTextItem
      extends FormItem

  A FormItem that displays an uneditable value.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.RefDataClass

      `id`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StaticTextItem()`
    `StaticTextItem(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `StaticTextItem(java.lang.String name)`
    `StaticTextItem(java.lang.String name, java.lang.String title)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, Canvas defaults)` Changes the defaults for Canvas AutoChildren named `autoChildName`.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, FormItem defaults)` Changes the defaults for FormItem AutoChildren named `autoChildName`.
    `static void` | `changePickerIconDefaults(FormItemIcon defaults)`
    `java.lang.Boolean` | `getApplyHeightToTextBox()` If `height` is specified, should it be applied to the item's text box element?
    `boolean` | `getCanSelectText()` Should the user be able to select the text in this item?
    `java.lang.Boolean` | `getClipValue()` If true, text that exceeds the specified size of the form item will be clipped.
    `DateDisplayFormat` | `getDateFormatter()` Display format to use for date type values within this formItem.
    `java.lang.Boolean` | `getEscapeHTML()` By default HTML values in a staticTextItem will be interpreted by the browser.
    `static StaticTextItem` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.String` | `getTextBoxStyle()` Base CSS class for this item
    `java.lang.Boolean` | `getWrap()` If true, item contents can wrap.
    `void` | `setApplyHeightToTextBox(java.lang.Boolean applyHeightToTextBox)` If `height` is specified, should it be applied to the item's text box element?
    `void` | `setCanSelectText(boolean canSelectText)` Should the user be able to select the text in this item?
    `void` | `setClipValue(java.lang.Boolean clipValue)` If true, text that exceeds the specified size of the form item will be clipped.
    `void` | `setDateFormatter(DateDisplayFormat dateFormatter)` Display format to use for date type values within this formItem.
    `static void` | `setDefaultProperties(StaticTextItem staticTextItemProperties)` Class level method to set the default properties of this class.
    `void` | `setEscapeHTML(java.lang.Boolean escapeHTML)` By default HTML values in a staticTextItem will be interpreted by the browser.
    `void` | `setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `void` | `setTextBoxStyle(java.lang.String textBoxStyle)` Base CSS class for this item
    `void` | `setWrap(java.lang.Boolean wrap)` If true, item contents can wrap.

    - ### Methods inherited from class com.smartgwt.client.widgets.form.fields.FormItem

      `_getValue, addBlurHandler, addChangedHandler, addChangeHandler, addClickHandler, addDoubleClickHandler, addEditorEnterHandler, addEditorExitHandler, addFocusHandler, addIconClickHandler, addIconKeyPressHandler, addItemHoverHandler, addKeyDownHandler, addKeyPressHandler, addKeyUpHandler, addPickerIconClickHandler, addTitleClickHandler, addTitleDoubleClickHandler, addTitleHoverHandler, addValueHoverHandler, asSGWTComponent, blurItem, canEditCriterion, clearValue, disable, enable, focusInItem, getAccessKey, getAlign, getAllowExpressions, getAlwaysFetchMissingValues, getAriaRole, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsString, getBrowserSpellCheck, getCanEdit, getCanFocus, getCanvasAutoChild, getCellHeight, getCellStyle, getClassName, getClipStaticValue, getClipTitle, getConfig, getContainerWidget, getCriteriaField, getCriterion, getCriterion, getDataPath, getDecimalPad, getDecimalPrecision, getDefaultIconSrc, getDisabled, getDisableIconsOnReadOnly, getDisplayField, getDisplayFieldName, getDisplayValue, getDisplayValue, getEditorTypeConfig, getEditPendingCSSText, getEmptyDisplayValue, getEmptyValueIcon, getEndRow, getErrorIconHeight, getErrorIconSrc, getErrorIconWidth, getErrorMessageWidth, getFetchMissingValues, getFieldName, getFilterLocally, getForm, getFormItemAutoChild, getFullDataPath, getGlobalTabIndex, getHeight, getHint, getHintStyle, getHoverAlign, getHoverDelay, getHoverHeight, getHoverOpacity, getHoverStyle, getHoverVAlign, getHoverWidth, getIcon, getIconHeight, getIconHSpace, getIconPageRect, getIconPrompt, getIconRect, getIconVAlign, getIconWidth, getImageURLPrefix, getImageURLSuffix, getImplicitSave, getImplicitSaveOnBlur, getInputFormat, getLeft, getLocateItemBy, getMultipleValueSeparator, getName, getOperator, getOptionCriteria, getOptionFilterContext, getOptionOperationId, getPageLeft, getPageRect, getPageTop, getPicker, getPickerIconHeight, getPickerIconName, getPickerIconPrompt, getPickerIconProperties, getPickerIconSrc, getPickerIconStyle, getPickerIconWidth, getPrintTextBoxStyle, getPrintTitleStyle, getPrompt, getReadOnlyDisplay, getReadOnlyTextBoxStyle, getRect, getRedrawOnChange, getRejectInvalidValueOnChange, getRequired, getRequiredMessage, getRowSpan, getSaveOnEnter, getSelectedRecord, getSelectOnClick, getSelectOnFocus, getShouldSaveValue, getShowClippedTitleOnHover, getShowClippedValueOnHover, getShowDisabled, getShowErrorIcon, getShowErrorStyle, getShowErrorText, getShowFocused, getShowFocusedErrorState, getShowFocusedIcons, getShowFocusedPickerIcon, getShowHint, getShowIcons, getShowOverIcons, getShowPickerIcon, getShowRTL, getShowTitle, getShowValueIconOnly, getStartRow, getStopOnError, getSuppressValueIcon, getSynchronousValidation, getTabIndex, getTextAlign, getTimeFormatter, getTitle, getTitleAlign, getTitleColSpan, getTitleOrientation, getTitleStyle, getTitleVAlign, getTooltip, getTop, getType, getValidateOnChange, getValidateOnExit, getValidOperators, getVAlign, getValue, getValueAsRecordList, getValueField, getValueFieldName, getValueIconHeight, getValueIconLeftPadding, getValueIconRightPadding, getValueIconSize, getValueIconWidth, getVisible, getVisibleHeight, getVisibleWidth, getWidth, getWrapTitle, hasAdvancedCriteria, hide, hideIcon, invalidateDisplayValueCache, isCreated, isDisabled, isDrawn, isVisible, redraw, setAccessKey, setAlign, setAllowExpressions, setAlwaysFetchMissingValues, setAriaRole, setAriaState, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setBrowserSpellCheck, setCanEdit, setCanEditCriterionPredicate, setCanFocus, setCellHeight, setCellStyle, setClipStaticValue, setClipTitle, setColSpan, setColSpan, setCriteriaField, setCriterion, setCriterionGetter, setCriterionSetter, setDataPath, setDecimalPad, setDecimalPrecision, setDefaultIconSrc, setDefaultProperties, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDisabled, setDisableIconsOnReadOnly, setDisplayField, setDisplayFormat, setDisplayFormat, setEditorProperties, setEditorType, setEditorType, setEditorType, setEditorValueFormatter, setEditorValueParser, setEditPendingCSSText, setEmptyDisplayValue, setEmptyValueIcon, setEndRow, setErrorFormatter, setErrorIconHeight, setErrorIconSrc, setErrorIconWidth, setErrorMessageWidth, setErrorOrientation, setFetchMissingValues, setFilterLocally, setGlobalTabIndex, setHeight, setHeight, setHint, setHintStyle, setHoverAlign, setHoverDelay, setHoverHeight, setHoverOpacity, setHoverStyle, setHoverVAlign, setHoverWidth, setIconHeight, setIconHSpace, setIconPrompt, setIcons, setIconVAlign, setIconWidth, setImageURLPrefix, setImageURLSuffix, setImplicitSave, setImplicitSaveOnBlur, setInitHandler, setInputFormat, setInputTransformer, setItemHoverFormatter, setItemTitleHoverFormatter, setItemValueHoverFormatter, setLeft, setLocateItemBy, setMultipleValueSeparator, setName, setOperator, setOptionCriteria, setOptionDataSource, setOptionFilterContext, setOptionOperationId, setPickerIconHeight, setPickerIconName, setPickerIconPrompt, setPickerIconProperties, setPickerIconSrc, setPickerIconStyle, setPickerIconWidth, setPrintTextBoxStyle, setPrintTitleStyle, setPrompt, setProperty, setProperty, setProperty, setProperty, setProperty, setReadOnlyDisplay, setReadOnlyTextBoxStyle, setRedrawOnChange, setRejectInvalidValueOnChange, setRequired, setRequiredMessage, setRowSpan, setSaveOnEnter, setSelectOnClick, setSelectOnFocus, setShouldSaveValue, setShowClippedTitleOnHover, setShowClippedValueOnHover, setShowDisabled, setShowErrorIcon, setShowErrorStyle, setShowErrorText, setShowFocused, setShowFocusedErrorState, setShowFocusedIcons, setShowFocusedPickerIcon, setShowHint, setShowIcons, setShowIfCondition, setShowOverIcons, setShowPickerIcon, setShowRTL, setShowTitle, setShowValueIconOnly, setStartRow, setStopOnError, setSuppressValueIcon, setSynchronousValidation, setTabIndex, setTextAlign, setTimeFormatter, setTitle, setTitleAlign, setTitleColSpan, setTitleHoverFormatter, setTitleOrientation, setTitleStyle, setTitleVAlign, setTooltip, setTop, setType, setValidateOnChange, setValidateOnExit, setValidators, setValidOperators, setVAlign, setValue, setValue, setValue, setValue, setValue, setValue, setValueField, setValueFormatter, setValueHoverFormatter, setValueIconHeight, setValueIconLeftPadding, setValueIconMapper, setValueIconRightPadding, setValueIcons, setValueIconSize, setValueIconWidth, setValueMap, setValueMap, setVisible, setWidth, setWidth, setWrapTitle, shouldApplyHeightToTextBox, shouldFetchMissingValue, shouldSaveOnEnter, show, showIcon, showPicker, stopHover, updateState, validate, valueClipped`

    - ### Methods inherited from class com.smartgwt.client.core.RefDataClass

      `getRef, getRef, internalSetID`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `doAddHandler, fireEvent, getAttributeAsDoubleArray, getAttributeAsIntArray, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsStringArray, getAttributes, getHandlerCount, getJsObj, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, hashCode, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Constructor Detail

    - #### StaticTextItem

          public StaticTextItem()

    - #### StaticTextItem

          public StaticTextItem(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### StaticTextItem

          public StaticTextItem(java.lang.String name)

    - #### StaticTextItem

          public StaticTextItem(java.lang.String name,
                        java.lang.String title)

  - ### Method Detail

    - #### getOrCreateRef

          public static StaticTextItem getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setJavaScriptObject

          public void setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)

      Overrides:
        `setJavaScriptObject` in class `FormItem`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                     Canvas defaults)

      Changes the defaults for Canvas AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties.
      See Also:
        `AutoChildUsage`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                     FormItem defaults)

      Changes the defaults for FormItem AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties.
      See Also:
        `AutoChildUsage`

    - #### changePickerIconDefaults

          public static void changePickerIconDefaults(FormItemIcon defaults)

    - #### setApplyHeightToTextBox

          public void setApplyHeightToTextBox(java.lang.Boolean applyHeightToTextBox)

      If `height` is specified, should it be applied to the item's text box element?

      Overridden to be `false` for StaticTextItems by default.

      See `shouldApplyHeightToTextBox` for more information.

      Note : This is an advanced setting

      Overrides:
        `setApplyHeightToTextBox` in class `FormItem`
      Parameters:
        `applyHeightToTextBox` - applyHeightToTextBox Default value is false

    - #### getApplyHeightToTextBox

          public java.lang.Boolean getApplyHeightToTextBox()

      If `height` is specified, should it be applied to the item's text box element?

      Overridden to be `false` for StaticTextItems by default.

      See `shouldApplyHeightToTextBox` for more information.

      Overrides:
        `getApplyHeightToTextBox` in class `FormItem`
      Returns:
        Boolean

    - #### setCanSelectText

          public void setCanSelectText(boolean canSelectText)

      Should the user be able to select the text in this item?
      Parameters:
        `canSelectText` - canSelectText Default value is true

    - #### getCanSelectText

          public boolean getCanSelectText()

      Should the user be able to select the text in this item?
      Returns:
        boolean

    - #### setClipValue

          public void setClipValue(java.lang.Boolean clipValue)

      If true, text that exceeds the specified size of the form item will be clipped.
      Parameters:
        `clipValue` - clipValue Default value is false
      See Also:
        `Appearance overview and related methods`

    - #### getClipValue

          public java.lang.Boolean getClipValue()

      If true, text that exceeds the specified size of the form item will be clipped.
      Returns:
        Boolean
      See Also:
        `Appearance overview and related methods`

    - #### setDateFormatter

          public void setDateFormatter(DateDisplayFormat dateFormatter)

      Display format to use for date type values within this formItem.

      Note that Fields of type `"date"`, `"datetime"` or `"time"` will be edited using a `DateItem` or `TimeItem` by default, but this can be overridden - for `canEdit:false` fields, a `StaticTextItem` is used by default, and the developer can always specify a custom `editorType` as well as `data type`.

      The `timeFormatter` may also be used to format underlying Date values as times (ommitting the date part entirely). If both `dateFormatter` and `timeFormatter` are specified on an item, for fields specified as `type "time"` the `timeFormatter` will be used, otherwise the `dateFormatter`

      If `item.dateFormatter` and `item.timeFormatter` is unspecified, date display format may be defined at the component level via `dateFormatter`, or for fields of type `"datetime"` `datetimeFormatter`. Otherwise for fields of type "date", default is to use the system-wide default short date format, configured via `Date.setShortDisplayFormat`. For fields of type "datetime" or for Date values in fields whose type does not inherit from the logical "date" type, default is to use the system-wide normal date format configured via `Date.setNormalDisplayFormat` (using "toNormalDate()" on logical `"date"` type fields is not desirable as this would display the time component of the date object to the user).
      Specify any valid `DateDisplayFormat` to change the format used by this item.

      Note : This is an advanced setting

      Overrides:
        `setDateFormatter` in class `FormItem`
      Parameters:
        `dateFormatter` - dateFormatter Default value is null
      See Also:
        `FormItem.setTimeFormatter(com.smartgwt.client.types.TimeDisplayFormat)`, `Appearance overview and related methods`

    - #### getDateFormatter

          public DateDisplayFormat getDateFormatter()

      Display format to use for date type values within this formItem.

      Note that Fields of type `"date"`, `"datetime"` or `"time"` will be edited using a `DateItem` or `TimeItem` by default, but this can be overridden - for `canEdit:false` fields, a `StaticTextItem` is used by default, and the developer can always specify a custom `editorType` as well as `data type`.

      The `timeFormatter` may also be used to format underlying Date values as times (ommitting the date part entirely). If both `dateFormatter` and `timeFormatter` are specified on an item, for fields specified as `type "time"` the `timeFormatter` will be used, otherwise the `dateFormatter`

      If `item.dateFormatter` and `item.timeFormatter` is unspecified, date display format may be defined at the component level via `dateFormatter`, or for fields of type `"datetime"` `datetimeFormatter`. Otherwise for fields of type "date", default is to use the system-wide default short date format, configured via `Date.setShortDisplayFormat`. For fields of type "datetime" or for Date values in fields whose type does not inherit from the logical "date" type, default is to use the system-wide normal date format configured via `Date.setNormalDisplayFormat` (using "toNormalDate()" on logical `"date"` type fields is not desirable as this would display the time component of the date object to the user).
      Specify any valid `DateDisplayFormat` to change the format used by this item.

      Overrides:
        `getDateFormatter` in class `FormItem`
      Returns:
        DateDisplayFormat
      See Also:
        `FormItem.getTimeFormatter()`, `Appearance overview and related methods`

    - #### setEscapeHTML

          public void setEscapeHTML(java.lang.Boolean escapeHTML)

      By default HTML values in a staticTextItem will be interpreted by the browser. Setting this flag to true causes HTML characters to be escaped, meaning the raw value of the field (for example `"<b>AAA</b>"`) is displayed to the user rather than the interpreted HTML (for example `"AAA"`)
      Parameters:
        `escapeHTML` - escapeHTML Default value is false
      See Also:
        `Appearance overview and related methods`

    - #### getEscapeHTML

          public java.lang.Boolean getEscapeHTML()

      By default HTML values in a staticTextItem will be interpreted by the browser. Setting this flag to true causes HTML characters to be escaped, meaning the raw value of the field (for example `"<b>AAA</b>"`) is displayed to the user rather than the interpreted HTML (for example `"AAA"`)
      Returns:
        Boolean
      See Also:
        `Appearance overview and related methods`

    - #### setTextBoxStyle

          public void setTextBoxStyle(java.lang.String textBoxStyle)

      Base CSS class for this item
      Overrides:
        `setTextBoxStyle` in class `FormItem`
      Parameters:
        `textBoxStyle` - . See `FormItemBaseStyle`. Default value is "staticTextItem"
      See Also:
        `Appearance overview and related methods`

    - #### getTextBoxStyle

          public java.lang.String getTextBoxStyle()

      Base CSS class for this item
      Overrides:
        `getTextBoxStyle` in class `FormItem`
      Returns:
        . See `FormItemBaseStyle`
      See Also:
        `Appearance overview and related methods`

    - #### setWrap

          public void setWrap(java.lang.Boolean wrap)

      If true, item contents can wrap. If false, all the contents should appear on a single line.
      Parameters:
        `wrap` - wrap Default value is true
      See Also:
        `Appearance overview and related methods`

    - #### getWrap

          public java.lang.Boolean getWrap()

      If true, item contents can wrap. If false, all the contents should appear on a single line.
      Returns:
        Boolean
      See Also:
        `Appearance overview and related methods`

    - #### setDefaultProperties

          public static void setDefaultProperties(StaticTextItem staticTextItemProperties)

      Class level method to set the default properties of this class. If set, then all subsequent instances of this class will automatically have the default properties that were set when this method was called. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

      Note: This method is intended for setting default attributes only and will effect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead.

      Parameters:
        `staticTextItemProperties` - properties that should be used as new defaults when instances of this class are created